apiVersion: v1
kind: Secret
metadata:
  name: cert
  namespace: {{ .Values.config.namespace }}
type: Opaque
data:
  {{ (.Files.Glob "config/certs/cacerts").AsSecrets }}
  {{ (.Files.Glob "config/certs/jaas.conf").AsSecrets }}
  {{ (.Files.Glob "config/certs/krb5.conf").AsSecrets }}
  {{ (.Files.Glob "config/certs/nile.keytab").AsSecrets }}
---
{{ if .Values.influx.pw }}
apiVersion: v1
kind: Secret
metadata:
  name: influxpw
  namespace: {{ .Values.config.namespace }}
type: Opaque
data:
  influxpw: {{ .Values.influx.pw | toString | b64enc }}
{{ end }}